aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-04-02 01:07:26 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-04-02 01:07:26 +0000
commit85c25ea3e782b084cecc31f91ed48c9855298af0 (patch)
tree3b7d61afe2a10025ce66a8007d9b95ca62992eba
parentb95b3a14646cf31dcd234cbdd8e05c68f16615b4 (diff)
downloadpaludis-85c25ea3e782b084cecc31f91ed48c9855298af0.tar.gz
paludis-85c25ea3e782b084cecc31f91ed48c9855298af0.tar.xz
Send die trap to stderr
-rwxr-xr-xebuild/ebuild.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/ebuild/ebuild.bash b/ebuild/ebuild.bash
index 8a73f63..acec27e 100755
--- a/ebuild/ebuild.bash
+++ b/ebuild/ebuild.bash
@@ -30,7 +30,7 @@ shopt -s expand_aliases
EBUILD_KILL_PID=$$
alias die='diefunc "$FUNCNAME" "$LINENO"'
alias assert='_pipestatus="${PIPESTATUS[*]}"; [[ -z "${_pipestatus//[ 0]/}" ]] || diefunc "$FUNCNAME" "$LINENO" "$_pipestatus"'
-trap 'echo "die trap: exiting with error." ; exit 250' 15
+trap 'echo "die trap: exiting with error." 1>&2 ; exit 250' 15
diefunc()
{